Skip to content

Changelog gcc-defaults (1.176ubuntu2.3)

2019

gcc-defaults (1.176ubuntu2.3) bionic; urgency=medium

   * No-change rebuild strictly against -security only (LP: #1828171).

gcc-defaults (1.176ubuntu2.2) bionic-proposed; urgency=medium

   * SRU: LP: #1814369.
   * Bump GCC 7 version to 7.4.0.
   * Bump GCC 8 version to 8.3.0.
   * Build ppc64el packages on arm64.
   * Build s390x packages on arm64 and ppc64el.
   * Build riscv64 packages on arm64 and ppc64el.

2018

gcc-defaults (1.176ubuntu2.1) bionic-proposed; urgency=medium

   * SRU: LP: #1769657. Bump GCC 8 based versions to 8.2.0.
   * Build armel, armhf and arm64 packages on ppc64el.

gcc-defaults (1.176ubuntu2) bionic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.176) unstable; urgency=medium

   * Build defaults packages for amd64 and i386.

gcc-defaults (1.175ubuntu1) bionic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.175) unstable; urgency=medium

   * Build defaults packages for riscv64 cross compilers.
   * Default gccgo to GCC 8.
   * Default gdc to GCC 8 (dh-dlang already makes this assumption).

gcc-defaults (1.174ubuntu2) bionic; urgency=medium

   * Build powerpc packages from this source package.

gcc-defaults (1.174ubuntu1) bionic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
   * Default gccgo to GCC 8.

gcc-defaults (1.174) unstable; urgency=medium

   * Bump GCC 7 version to 7.3.0.
   * Stop building the gcj packages. Closes: #892536.
   * Fix build with recent debhelper. Closes: #878338.

2017

gcc-defaults (1.173ubuntu1) artful; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.173d1) unstable; urgency=medium

   * Really build powerpc64le cross packages on ppc64.

gcc-defaults (1.173) unstable; urgency=medium

   * Bump GCC 7 version to 7.2.0.
   * Build powerpc64le cross packages on ppc64.
   * Bump standards version.

gcc-defaults (1.172) unstable; urgency=medium

   * Build gccbrig on x86 linux architectures only.
   * Remove obsolete docdir symlink update (Sven Joachim). Closes: #867425.
   * Don't build gccgo packages on m68k.

gcc-defaults (1.171ubuntu3) artful; urgency=medium

   * Build gccbrig on x86 linux architectures only.

gcc-defaults (1.171ubuntu1) artful; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.171) unstable; urgency=medium

   * Provide liblto_plugin.so symlink in /usr/lib/bfd-plugins. Closes: #865690.
   * dh_nativejava: Don't use deprecated POSIX::tmpnam(). Closes: #866315.
   * Fix README.Bugs symlinks for cross compilers. Closes: #858112.
   * Bump GCC 6 version to 6.4.0.

gcc-defaults (1.170) experimental; urgency=medium

   * Bump GCC 6 version to 6.3.0.
   * Bump GCC 7 version to 7.1.0.
   * Build gccbrig and gcc-offload-nvptx packages.

2016

gcc-defaults (1.169) experimental; urgency=medium

   * gcc-multilib: Add conflicts with GCC 7 cross compiler packages.
   * Stop building powerpc cross packages from this source.
   * Build mips64el packages from this source.

gcc-defaults (1.168ubuntu2) zesty; urgency=medium

   * Default to GCC 7, except for gij/gcj.

gcc-defaults (1.168) experimental; urgency=medium

   * Default to GCC 7, except for gij/gcj.

gcc-defaults (1.164ubuntu1) zesty; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.164ubuntu1) zesty; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.163ubuntu2) yakkety; urgency=medium

   * Work around cacerts generation, not enough memory on the buildds.

gcc-defaults (1.163ubuntu1) yakkety; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.163) unstable; urgency=medium

   * Default to GCC 6, upload to unstable.

gcc-defaults (1.162) experimental; urgency=medium

   * Default the 32bit x86 architectures to i686, keep i585 symlinks.
     See https://lists.debian.org/debian-devel/2015/09/msg00589.html

gcc-defaults (1.161) experimental; urgency=medium

   * Bump libgcj soname to 17.

gcc-defaults (1.160ubuntu8) yakkety; urgency=medium

   * Bump the libgcj soversion.

gcc-defaults (1.160ubuntu2) xenial; urgency=medium

   * Default to GCC 6.

gcc-defaults (1.160) experimental; urgency=medium

   * Default to GCC 6.

gcc-defaults (1.152) unstable; urgency=medium

   * Fix version in the libgcj-bc shlibs file. Closes: #825361.

gcc-defaults (1.151) unstable; urgency=medium

   * Default the 32bit x86 architectures to i686, keep i585 symlinks.
     See https://lists.debian.org/debian-devel/2015/09/msg00589.html
   * Build gdc-sh4-linux-gnu.

gcc-defaults (1.150ubuntu1) xenial; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

2015

gcc-defaults (1.150) unstable; urgency=medium

   * Bump GCC 5 version to 5.3.1.
   * Fix package descriptions (Daniele Forsi). Closes: #807276.
   * Update gcc-multilib's conflict list.

gcc-defaults (1.149ubuntu2) xenial; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.149) unstable; urgency=medium

   * Enable gccgo on sparc and sparc64.
   * Enable package builds for mips64, mips64el and sh4.
   * Enable the gnat cross build on sh4.
   * gcc-hppa64-linux-gnu: Fix gcc symlink, don't ship gcov and gcov-tool.
     Closes: #806423.
   * Stop building gccgo-hppa-linux-gnu, gccgo-m68k-linux-gnu.

gcc-defaults (1.147) unstable; urgency=medium

   * Fix some fall-out building cross gcc packages.
   * Build a gcc-hppa64-linux-gnu package.
   * gcc: Provide an unversioned gcov-tool binary.
   * Update README.Debian.

gcc-defaults (1.146ubuntu8) xenial; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.146) unstable; urgency=medium

   * Build defaults packages for Debian cross architectures, including
     all frontends and multilib packages.

gcc-defaults (1.145) unstable; urgency=medium

   [ Aurelien Jarno ]
   * Build gdc-multilib on mips64 and mips64el.

gcc-defaults (1.144ubuntu1) wily; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.144) unstable; urgency=medium

   * Build gdc with an epoch. Closes: #794329.

gcc-defaults (1.143ubuntu1) wily; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.143) unstable; urgency=high

   * Upload to unstable.
   * Bump required GCC 5 version to 5.2.1-13.

gcc-defaults (1.142) experimental; urgency=medium

   * Bump GCC 5 version to 5.2.1.
   * Bump GCC 4.9 version to 4.9.3.
   * Default to GCC 5 on sparc and hurd-i386.
   * Change the long description of the multilib packages, because lintian
     and ftp-master reject the capitalized version of "Dependency package".

gcc-defaults (1.141) experimental; urgency=medium

   * Build multilib and gccgo packages for mips64* (James Cowgill).
     Addresses: #773177.
   * gcc-multilib: Break gcc-4.9-mips-linux-gnu. Add breaks for gcc-5
     cross compilers.
   * gcj-jdk: Fix libgcj.pc symlink (Victor Seva). Addresses: #778376.

gcc-defaults (1.140) experimental; urgency=medium

   * Provide the gcc-ar, gcc-nm and gcc-ranlib symlinks again.
   * Provide a gcov-tool symlink.

gcc-defaults (1.139) experimental; urgency=medium

   * Build a gdc-multilib package.

gcc-defaults (1.138ubuntu9) vivid; urgency=medium

   * gcc-multilib: Add breaks to gcc-5 cross compilers.
   * Build multilib and gccgo packages for mips64* (James Cowgill).
     Closes: #773177.
   * gcc-multilib: Break gcc-4.9-mips-linux-gnu.
   * gcj-jdk: Fix libgcj.pc symlink (Victor Seva). Closes: #778376.

gcc-defaults (1.138ubuntu8) vivid; urgency=medium

   * Provide the gcc-ar, gcc-nm and gcc-ranlib symlinks again.
   * Provide a gcov-tool symlink.

gcc-defaults (1.138ubuntu7) vivid; urgency=medium

   * Build gdc-multilib on armel and armhf.

gcc-defaults (1.138ubuntu3) vivid; urgency=medium

   * Build a gdc-multilib package.

gcc-defaults (1.138ubuntu2) vivid; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.138) experimental; urgency=medium

   * Bump GCC version to 5.

2014

gcc-defaults (1.135ubuntu1) vivid; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.135) unstable; urgency=medium

   * Bump GCC 4.9 version to 4.9.2.
   * gcc-multilib: Add breaks to the gcc-4.9 cross compilers.

gcc-defaults (1.134) unstable; urgency=medium

   [ Aurelien Jarno ]
   * Don't build libphobos-dev on kfreebsd-amd64 and kfreebsd-i386 as
     libphobos-4.9-dev is not built on these architectures. Closes: #761277.
 
   [ Matthias Klose ]
   * Build libphobos-dev on hppa. Closes: #763103.

gcc-defaults (1.133ubuntu2) utopic; urgency=medium

   * Re-add armel and armhf as multilib architectures.

gcc-defaults (1.133ubuntu1) utopic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.133) unstable; urgency=medium

   * Build a libphobos-dev package (more than one package is providing
     libphobos-dev).
   * Build the gdc package on arm64 and sh4.

gcc-defaults (1.132) unstable; urgency=medium

   * Provide i586-* compat symlinks for kfreebsd-i386 and hurd-i386.

gcc-defaults (1.131) unstable; urgency=medium

   * Build-depend on dpkg-dev (>= 1.17.11).

gcc-defaults (1.130ubuntu1) utopic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.130) unstable; urgency=medium

   * Bump GCC 4.9 versions to 4.9.1.
   * gfortran: Install alternatives for f77. Closes: #545461.

gcc-defaults (1.129) unstable; urgency=medium

   * Default to 4.9 for m68k (Thorsten Glaser).
   * Default to 4.9 for all remaining architectures (powerpcspe, sh4, x32).
   * Provide gcc-{ar,nm,ranlib} man pages.
   * Build a gccgo-doc package when building the documentation packages.
   * Build-depend on gcc-4.9-base instead of gcc-4.8-base.

gcc-defaults (1.128ubuntu6) utopic; urgency=medium

   * Default cpp, gcc and g++ to 4.9 again.

gcc-defaults (1.128ubuntu5) utopic; urgency=medium

   * Revert the previous change and just change the dependencies for cpp,
     gcc and g++ to depend on the 4.8 packages.

gcc-defaults (1.128ubuntu4) utopic; urgency=medium

   * Revert default to 4.8, due to as-yet-undiagnosed C++ ABI breakage
     (LP: #1329089).

gcc-defaults (1.128ubuntu3) utopic; urgency=medium

   * Ship empty prerm maintainer scripts for the -doc packages.

gcc-defaults (1.128ubuntu2) utopic; urgency=medium

   * Remove maintainer scripts for the -doc packages. LP: #1328638, #1328639.
   * Build a gccgo-doc package.
   * Provide gcc-{ar,nm,ranlib} man pages.

gcc-defaults (1.128ubuntu1) utopic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
     - Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.128) unstable; urgency=medium

   * Default to GCC 4.9 for all architectures except m68k, or1k, powerpcspe,
     sh4 and x32.
   * Bump GCC 4.8 versions to 4.8.3.
   * Move the gserialver binary and man page into the gcj-jdk package.
     Closes: #747503.

gcc-defaults (1.127exp2) experimental; urgency=medium

   * Provide the gnu triplet prefixed gcov symlink.
   * Add ppc64el as a native gcj architecture.
   * Default to 4.9 on mips64 and mips64el (Yunqiang Su). Closes: #744095.

gcc-defaults (1.127ubuntu1) utopic; urgency=medium

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
   * Provide i686-linux-gnu prefixed symlinks on i386.

gcc-defaults (1.127) unstable; urgency=medium

   * Default gij/gcj to 4.9 for every architecture with a successful build.
   * Default gccgo to 4.9 for every architecture (Go 1.2).
   * Default gdc to 4.9 for every architecture.
   * Provide the gnu triplet prefixed gcov symlink.
   * Add ppc64el as a native gcj architecture. Closes: #744937.
   * On x86 targets provide gnu-type prefixed binaries with the cpu that GCC
     is configured for.
   * Default to 4.8 on mips64 and mips64el (Yunqiang Su). Closes: #744095.

gcc-defaults (1.126) unstable; urgency=medium

   * Provide the gcc-{ar,nm,ranlib} symlinks again.
   * Default to 4.8 for OpenRISC (or1k) (Christian Svensson). Closes: #742236.

gcc-defaults (1.125) unstable; urgency=low

   * Build gccgo for arm64 and ppc64el.
   * Default to 4.8 for powerpcspe (Roland Stigge). Closes: #734771.
   * Default to 4.8 for powerpc (based on promises from powerpc porters not
     showing that much involvement at least in the past).
   * rebuild-gcj-db: Rebuild databases for 4.9.

gcc-defaults (1.124ubuntu6) trusty; urgency=medium

   * Provide the gnu triplet prefixed gcov symlink.
   * Add ppc64el as a native gcj architecture.

gcc-defaults (1.124ubuntu5) trusty; urgency=medium

   * Provide the gcc-{ar,nm,ranlib} symlinks again.

gcc-defaults (1.124ubuntu4) trusty; urgency=medium

   * Default gccgo to 4.9.

gcc-defaults (1.124ubuntu3) trusty; urgency=medium

   * Build gccgo for ppc64el.
   * Build the gcj database for gcj-4.9.

2013

gcc-defaults (1.124ubuntu2) trusty; urgency=low

   * Fix merge error.

gcc-defaults (1.124ubuntu1) trusty; urgency=low

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.
   * Build Go for AArch64.

gcc-defaults (1.124) unstable; urgency=low

   [ Matthias Klose ]
   * Bump GCC 4.8 versions to 4.8.2.
   * Default to 4.8 for hppa (John David Anglin).
   * Default to 4.7 for powerpcspe (Roland Stigge).
   * Default to 4.8 for alpha (Michael Cree).
   * Default to 4.8 for ppc64. It is a primary release architecture
     upstream, although there is no support from the Debian ppc64
     porters.
 
   [ Aurelien Jarno ]
   * Default to 4.8 for s390x architecture.

gcc-defaults (1.123) unstable; urgency=low

   [ Aurelien Jarno ]
   * Enable gcc-multilib on sparc64.
   * Default to 4.8 for sparc64 architecture.
 
   [ Matthias Klose ]
   * Default gcj to 4.8 on ia64 as well.
   * Stop building the -spu packages on powerpc.
   * Bump libgcj-common version to 4.8.
   * Let gfortran provide the gfortran-mod version of the default
     gfortran compiler. Addresses #714730.

gcc-defaults (1.122ubuntu3) saucy; urgency=low

   * Build ObjC, Obj-C++ and Go for AArch64.

gcc-defaults (1.122ubuntu2) saucy; urgency=low

   * Fix libgcj-common version.

gcc-defaults (1.122ubuntu1) saucy; urgency=low

   * Merge with Debian; remaining changes:
     - Build -multilib packages on armel and armhf (except for gccgo).
     - Adjust off-by-one offset for 4.6.x and 4.7.x release numbers.
     - Stop building the -spu packages on powerpc.
     - Include the fsf-funding.7, gfdl.7 and gpl.7 man pages.

gcc-defaults (1.122) unstable; urgency=low

   [ Matthias Klose ]
   * Update maintainer list.
   * Default gccgo to 4.8 for every architecture (requiring 4.8.1-4).
   * Fix gccgo-multilib dependency (closes: #712266).
   * Default to 4.8 for m68k (Thorsten Glaser, Wouter Verhelst).
   * Build gcj packages for arm64.
 
   [ Aurelien Jarno ]
   * Default to 4.8 for mips and mipsel architectures.

gcc-defaults (1.121) unstable; urgency=low

   * Bump GCC 4.8 versions to 4.8.1.
   * Bump GCC 4.7 versions to 4.7.3.
   * Bump GCC 4.6 versions to 4.6.4.
   * Default to 4.8 for all x86 architectures.
   * Default to 4.8 for ARM architectures (agreed by the ARM porters).
   * Default gdc to 4.8 for every architecture.
   * Default gij/gcj to 4.8 for every architecture.
   * Stop building the gdc-v1 package.
   * Add support for x32 (Daniel Schepler). Closes: #692140.
   * Fix broken symlink in gcj-jre-headless. Closes: #710471.
   * Fix gcj package descriptions. Closes: #652495.

gcc-defaults (1.120ubuntu13) saucy; urgency=low

   * Stop building the -spu packages on powerpc.

gcc-defaults (1.120ubuntu12) saucy; urgency=low

   * Fix -multilib dependencies.

gcc-defaults (1.120ubuntu11) saucy; urgency=low

   * Default to GCC 4.8 for gcc, g++, gfortran, gobjc, gobjc++, gcj
     on all architectures.

gcc-defaults (1.120ubuntu9) raring; urgency=low

   * Bump versions to 4.7.3 and 4.6.4.

2012

gcc-defaults (1.120ubuntu8) raring; urgency=low

   * Update the /usr/lib/jvm symlink to include the architecture.

gcc-defaults (1.120ubuntu7) raring; urgency=low

   * Build the cert database file again.

gcc-defaults (1.120ubuntu6) raring; urgency=low

   * Temporary upload, don't build the cert database.

gcc-defaults (1.120ubuntu5) raring; urgency=low

   * Remove gcj-4.7-base build dependency for this upload.

gcc-defaults (1.120ubuntu4) raring; urgency=low

   * Fix libgcj soname for 4.7.

gcc-defaults (1.120ubuntu3) raring; urgency=low

   * Merge with Debian.

gcc-defaults (1.120) unstable; urgency=low

   * Bump GCC 4.7 versions to 4.7.2.
   * Don't try to update the libgcj-db database for 4.5, removed for
     the wheezy release. Closes: #620582, #626600.

gcc-defaults (1.119) unstable; urgency=low

   [ Matthias Klose ]
   * Bump gcc-4.7 version to 4.7.1.
   * Provide gcc-{ar,nm,ranlib} for architectures with 4.7 as the default.
   * Update README.Debian for Wheezy. Closes: #675026.
 
   [Hiroyuki Yamamoto]
   * Build gccgo on ppc64. Closes: #668861.

gcc-defaults (1.118) unstable; urgency=low

   * Default to GCC 4.7 for gcc, g++, gfortran on amd64, i386,
     kfreebsd-amd64, kfreebsd-i386 and hurd-i386.

gcc-defaults (1.117ubuntu2) quantal-proposed; urgency=low

   * Bump versions to 4.7.2.

gcc-defaults (1.117ubuntu1) quantal; urgency=low

   * Default to GCC 4.7 for all architectures.

gcc-defaults (1.117exp1) experimental; urgency=low

   * Default to GCC-4.7.

gcc-defaults (1.117) unstable; urgency=low

   [ Samuel Thibault ]
   * Default gij/gcj to 4.7 on the Hurd too.
 
   [ Matthias Klose ]
   * Default the spu cross compilers to 4.7.

gcc-defaults (1.116) unstable; urgency=low

   * Bump libgcj soversion. Closes: #666437.

gcc-defaults (1.115) unstable; urgency=low

   * Don't build gccgo-multilib on kfreebsd-amd64, mips, mipsel.

gcc-defaults (1.114) unstable; urgency=low

   * Add new architectures for gccgo-multilib.

gcc-defaults (1.113) unstable; urgency=low

   * Bump GCC 4.6 versions to 4.6.3.
   * Default gccgo to gccgo-4.7 (Go language version 1).
   * Default gij/gcj to 4.7 for every architecture except ia64 and the Hurd.
   * Bump standards version to 3.9.3.
   * Remove Arthur from uploaders.

gcc-defaults (1.112ubuntu5) precise; urgency=low

   * Don't build gccgo-multilib on ARM.

gcc-defaults (1.112ubuntu4) precise; urgency=low

   * Build gccgo for armel, armhf, powerpc.
   * build gccgo-multilib for powerpc.

gcc-defaults (1.112ubuntu2) precise; urgency=low

   * Bump GCC 4.6 versions to 4.6.3.
   * Default gccgo to 4.7.

gcc-defaults (1.112ubuntu1) precise; urgency=low

   * Merge with Debian, remaining changes:
     - Build -doc packages and include GFDL licensed files.
     - Build multilib packages for armel and armhf.

gcc-defaults (1.112) unstable; urgency=low

   * gdc-v1: Fix gdmd-v1 symlinks.

gcc-defaults (1.111) unstable; urgency=low

   * Default gdc to gdc-4.6, providing D version 2.

2011

gcc-defaults (1.110ubuntu1) precise; urgency=low

   * Merge with Debian, remaining changes:
     - Build -doc packages and include GFDL licensed files.
     - Build multilib packages for armel and armhf.

gcc-defaults (1.110) unstable; urgency=low

   * Default to 4.6 for alpha (Michael Cree). Closes: #649922.
   * Default to 4.6 for m68k, except gij/gcj (Thorsten Glaser).
   * Build a gdc-v1 package to prepare the D v1 to D v2 transition.

gcc-defaults (1.109ubuntu1) precise; urgency=low

   * Merge with Debian.
     - Build -doc packages and include GFDL licensed files.
     - Build multilib packages for armel and armhf.

gcc-defaults (1.109) unstable; urgency=low

   * Bump GCC 4.6 versions to 4.6.2.
   * Default to 4.6 for powerpcspe (Kyle Moffett). Closes: #647456.

gcc-defaults (1.108) unstable; urgency=low

   [ Matthias Klose ]
   * debian/rules: Remove duplicate code.
   * Fix libgcj.pc symlink for multiarch builds.
   * Fix upgrade path (/usr/include/asm must be a symlink). Closes: #638418.
 
   [ Aurelien Jarno ]
   * Add support for s390x.

gcc-defaults (1.107ubuntu5) oneiric; urgency=low

   * Revert last change.

gcc-defaults (1.107ubuntu4) oneiric; urgency=low

   * Move the asm symlink from gcc-multilib to gcc for one build.

gcc-defaults (1.107ubuntu3) oneiric; urgency=low

   * Build the -multilib packages for armel/armhf. LP: #810360.

gcc-defaults (1.107ubuntu2) oneiric; urgency=low

   * Bump versions for the -spu packages.

gcc-defaults (1.107ubuntu1) oneiric; urgency=low

   * Merge with Debian; remaining changes:
     - Build -doc packages and include GFDL licensed files.

gcc-defaults (1.107) unstable; urgency=low

   * Enable multiarch build for libgcj-bc. Closes: #633359.
   * Don't care about gc[cj]-4.6 build dependencies on m68k.
   * Fix last references to obsolete gcj package.

gcc-defaults (1.106) unstable; urgency=low

   * Bump GCC 4.6 versions to 4.6.1.
   * Bump GCC 4.4 versions to 4.4.6.
   * Default to 4.6 for sh4 (Nobuhiro Iwamatsu). Closes: #633073.
   * Default to 4.6 for ia64 (email exchange with Bdale Garbee).
   * Default to 4.6 for sparc64 (Aurelian Jarno).
   * Default to 4.6 for sparc. Last "supported" architecture in Debian
     using GCC 4.4, but unmaintained by the Debian GCC maintainers.
   * Make cpp Multi-Arch: allowed. Closes: #630853.
   * cpp: Don't call update-alternatives on upgrade. Closes: #568299.

gcc-defaults (1.105) unstable; urgency=low

   * Build libgcj-bc for multiarch. Closes: #630417.

gcc-defaults (1.104ubuntu3) oneiric; urgency=low

   * And fix libgcj-bc release number.

gcc-defaults (1.104ubuntu2) oneiric; urgency=low

   * Bump libgcj-common version to 4.6.0.

gcc-defaults (1.104ubuntu1) oneiric; urgency=low

   * Merge with Debian; remaining changes:
     - Build -doc packages and include GFDL licensed files.

gcc-defaults (1.104) unstable; urgency=low

   * Bump libgcj version for gcj-4.6. Closes: #624632.
   * gcc-multilib: Drop the pre-depends on linux-libc-dev. Closes: #624660.

gcc-defaults (1.103) unstable; urgency=low

   * Don't build gccgo on armel and armhf. Closes: #622095.
   * Add dependency on gcc-multilib to the other -multilib packages.
   * Stop building transitional gij and gcj packages.
   * Default to 4.6 for x86, armel, hppa, powerpc.
   * Default to 4.6 for armhf (Konstantinos Margaritis).
   * Default to 4.6 for hurd-i386 (Samuel Thibault).
   * Default to 4.6 for s390 (Bastian Blank).
   * Default to 4.6 for mips and mipsel (Aurelian Jarno).

gcc-defaults (1.102ubuntu1) oneiric; urgency=low

   * Default to 4.6 for x86, armel, hppa, powerpc and s390.
   * Don't build gccgo on armel and armhf. Closes: #622095.
   * Add dependency on gcc-multilib to the other -multilib packages.

gcc-defaults (1.102) unstable; urgency=medium

   * Fix typos. Closes: #620275, #620190.

gcc-defaults (1.101) unstable; urgency=low

   * Update rebuild-gcj-db for gcj-4.5 and gcj-4.6.
   * debian/rules: Fix libgcj-bc.so.1 symlink for multiarch path,
     when building for multiarch (Martin Pitt).
   * Remove sparc gcc/g++ wrappers.

gcc-defaults (1.100) unstable; urgency=low

   * c99: Do not accept -ansi option (Mike Miller). Closes: #617321.
   * c99: Clarify c99 error message incorrectly refering to ANSI C
     (Mike Miller). Closes: #618718.
   * On hppa, default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
   * Build gccgo and gccgo-multilib packages.

gcc-defaults (1.99) unstable; urgency=low

   * gdc: Fix versioned dependency on gdc-4.4.

gcc-defaults (1.98) unstable; urgency=low

   * Stop building gpc. Closes: #613923.
   * Default to gdc-4.4.
   * On amd64, armel, armhf, i386, powerpc, ppc64, kfreebsd-amd64
     and kfreebsd-i386:
     Default gcc, g++, gobjc, gobjc++, gfortran to GCC-4.5.
   * Do not install anymore the sparc gcc/g++ wrappers.

2010

gcc-defaults (1.97) unstable; urgency=low

   * On armhf, point gdc to gdc-4.4.
   * Tighten build dependency on python. Closes: #604188.
   * Add Vcs-* attributes to the control file. Closes: #597058.

gcc-defaults (1.96) unstable; urgency=low

   * Bump dependencies to 4.4.5.
   * Bump gdc version to 1.060.
   * Build using dh_python2 instead of python-central.

gcc-defaults (1.95) unstable; urgency=low

   * Fix libgcj-bc shlibs file. Closes: #584545.

gcc-defaults (1.94) unstable; urgency=low

   * Bump dependencies to 4.4.4 / 4.3.5.
   * Build gdc for sparc.
   * Add powerpcspe to gcj_archs.

gcc-defaults (1.93) unstable; urgency=low

   * Bump dependencies to 4.4.3.
   * gdc: Make gdc-4.3 the default.
   * Fix file conflict error install gdc. Closes: #573487.
   * Fix some lintian warnings.

gcc-defaults (1.92) unstable; urgency=low

   * Make GCC-4.4 the default for the spu cross compilers.

2009

gcc-defaults (1.91) unstable; urgency=low

   * gcj-jdk: Add dh_javadoc, conflict with gjdoc.

gcc-defaults (1.90) unstable; urgency=low

   * Make GCC-4.4 the default.

gcc-defaults (1.89) unstable; urgency=low

   * Remove support for gdc-4.2.  Addresses: #559361.
   * Don't build gdc on hurd-i386.

gcc-defaults (1.88) unstable; urgency=low

   [ Matthias Klose ]
   * libgcj-common: Don't use absolute paths in debhelper autoscripts.
     Closes: #511491.
   * Build gnat for armel.
   * Tighten the dependencies to 4.3.4.
   * gpc-doc: Install non-shared doc directory. Closes: #553570.
   * libgcj-bc: Add doc dir symlink. Closes: #552764.
   * Remove the alternative build-dependency on java-gcj-compat-dev.
     Closes: #536192.
   * Fix formatting error in dh_nativejava(1). Closes: #531912.
   * libgcj-common (rebuild-gcj-db): Be quiet, armel and hppa are known
     to work.
   * Add hurd-i386 to gcj_archs and gcj_native_archs.
 
   [ Aurelien Jarno ]
   * Enable ada on kfreebsd-amd64.
 
   [ Ludovic Brenta ]
   * Don't build gnat from gcc-defaults anymore.
 
   [ Nobuhiro Iwamatsu ]
   * Don't build gpc-doc on sh3 and sh4. Closes: #547990.
   * Build java packages for sh4. Closes: #547989.

gcc-defaults (1.87) unstable; urgency=low

   * gcj-jre-headless/gcj-jdk: Depend on gij-4.3/gcj-4.3. Closes: #532292.

gcc-defaults (1.86) unstable; urgency=low

   * Reupload, last upload rejected due to wrong encoding in changelog.

gcc-defaults (1.85) unstable; urgency=low

   * Move library files for aot-compile into a private directory.

gcc-defaults (1.84) unstable; urgency=low

   * Make GCC-4.4 the default for java packages on hppa.
   * Build packages gcj-{jre-headless,jre,jdk}, mark gij and gcj as
     transitional packages.
   * Let gcj-{jre-headless,jre,jdk} depend on the java-gcj-compat packages
     on architectures where gij/gcj-4.3 is the default.
   * gcj-jdk: Conflict with classpath-common (<= 2:0.97.2-1.1), common
     binary gappletviewer and man page.
   * Change section names of java packages.
   * Handle wrong /usr/share/doc/libgcj-common symlink left over from
     gcj-4.1. Closes: #396583.
   * Update Debian README. Closes: #498950.

gcc-defaults (1.83) unstable; urgency=low

   * Build gij/gcj packages for hppa.

gcc-defaults (1.81) unstable; urgency=low

   * Enable java on hurd-i386 (Samuel Thibault). Closes: #525083.

gcc-defaults (1.80) unstable; urgency=low

   * Fix required version on alpha.

gcc-defaults (1.79) unstable; urgency=low

   * Make GCC-4.3 the default on alpha.
   * Tighten the dependencies to 4.3.3-2.
     - This version has a fix for PR middle-end/38969, adresses: #513007.
   * Bump Standards-Version to 3.8.0.
   * Add myself to Uploaders.

gcc-defaults (1.78) unstable; urgency=low

   * Build gij/gcj packages for alpha.

2008

gcc-defaults (1.77) unstable; urgency=medium

   * libgcj-bc: Don't require 4.3.2.

gcc-defaults (1.76) unstable; urgency=low

   [ Aurelien Jarno ]
   * Add kfreebsd-amd64 and kfreebsd-i386 to gcj_archs and gcj_native_archs.
     Closes: #497770.
 
   [ Matthias Klose ]
   * Tighten the dependencies to 4.3.2.

gcc-defaults (1.75) unstable; urgency=low

   * gcj: Don't provide the grmic(1) symlink. Closes: #486713.

gcc-defaults (1.74) unstable; urgency=low

   * Tighten the dependencies to 4.3.1.
   * gfortran: Don't include symlinks for runtime libs in /usr/lib.
     Closes: #485792.
   * Build libgcj-common on all architectures.

gcc-defaults (1.73) unstable; urgency=low

   * Make GCC-4.3 the default on amd64 and i386.
   * Tighten the dependencies to 4.3.0-5.
   * Tighten the dependencies to 4.2.4-1.

gcc-defaults (1.72) unstable; urgency=high

   * Dont't build java related packages on alpha, arm, hppa. Closes: #483135.

gcc-defaults (1.71) unstable; urgency=high

   [Arthur Loiret]
   * Some clean up in build system. Add gnat_no_archs java_no_archs,
     gpc_no_archs and gdc_no_archs vars.
   * Build gfortran on sh3 and sh4, don't build java.
 
   [Matthias Klose]
   * Don't add a symlink for gc-analyze(1) when building without GFDL docs.
     Closes: #471818.
   * rebuild-gcj-db: Don't complain about gcj-dbtool succeeding on armel.
     Closes: #469412.
   * Remove jv-scan symlink. Closes: #477548.
   * Make ObjC, Obj-C++ 4.3 the default on armel.
   * Use /emul/... for amd64 biarch only.

gcc-defaults (1.70) unstable; urgency=low

   [Matthias Klose]
   * /usr/share/gcj/debian_defaults: Remove alpha, arm, hppa from
     gcj_archs, remove alpha from gcj_native_archs, add armel to
     gcj_archs and gcj_native_archs.
   * Make GCC-4.3 the default on hppa.
   * Remove gcj-4.3 build dependency on arm.
 
   [Ludovic Brenta]
   * make gnat-4.3 the default on alpha, mips and mipsel again, so
     now all architectures have the same default.  Closes: #475365.
 
   [Arthur Loiret]
   * debian/README.Debian:
     - Mention libstdc++ is provided by GCC-4.3.
     - Updates for gdc.
   * Remove gdc's Depends on cpp, gdc now has its own doc dir.
     - debian/gdc.preinst: handle symlink->directory conversion.
   * Don't build gdc on sparc.  Closes: #461101.
   * Don't compress README.Debian anymore.

gcc-defaults (1.69) unstable; urgency=low

   [Arthur Loiret]
   * Build gcc-spu, g++-spu, gfortran-spu packages, defaulted to GCC-4.3.
   * Fix sh3, sh4 binary package generation.

gcc-defaults (1.68) unstable; urgency=low

   * gfortran: Restore the gfortran library symlinks on alpha, amd64, i386, hppa.

gcc-defaults (1.67) unstable; urgency=medium

   * Add build-dependency on gnat-4.3-base.
   * Don't build the g77 package anymore, remove build dependency on
     gcc-3.4-base.
   * Update README for Lenny.
   * Make gnat-4.2 the default on alpha, mips and mipsel. The Debian
     patches are not yet ported for these architectures (keep 4.3-x
     version numbers for gnat, libgnatvsn-dev, libgnatprj-dev). Add
     build dependency on gnat-4.2-base for these architectures.
   * Tighten versions and dependencies for the gnat packages to the
     final 4.3.0 release.

gcc-defaults (1.66) unstable; urgency=low

   [Arthur Loiret]
   * Build multilib packages for mips and mipsel.
 
   [Matthias Klose]
   * Make GCC-4.3 the default on all architectures except alpha, amd64,
     hppa, i386.
     - alpha and hppa show regressions in the glibc testsuite.
     - amd64 and i386 have a patch in debian not supported upstream, and
       changing code generation.

gcc-defaults (1.64) unstable; urgency=low

   [Matthias Klose]
   * gcc: Remove dangling FAQ symlink. Closes: #453812.
   * gij: Update conflict with java-gcj-compat,
     provide java*-runtime-headless instead of java*-runtime.
   * Depend on the packages of the GCC-4.2.3 release.
   * Tighten dependencies for gnat packages.
 
   [Ludovic Brenta]
   * libgnatvsn-dev, libgnatprj-dev: new packages; depend on the
     corresponding packages from gnat-4.3.
   * Make gnat-4.3 the default on all architectures.
   * gnat: install documentation in /usr/share/doc/gnat; do not symlink
     to cpp and do not depend on cpp (Ada does not need a C
     preprocessor).
 
   [Arthur Loiret]
   * gdc: Make gdc-4.2 the default on hurd-i386.

gcc-defaults (1.63) unstable; urgency=low

   * Make gfortran-4.3 the default on all architectures.
   * Make gij-4.3/gcj-4.3 the default on all architectures except alpha.

2007

gcc-defaults (1.62) unstable; urgency=low

   * Dont build libgcj-bc on the Hurd (Michael Banck). Closes: #445279.
   * (Build-)depend on gcc-4.2 (>= 4.2.2-3).
   * Make gpc-2.1 based on GCC-4.1 the default.
   * Make GCC-4.2 the default on m68k. Closes: #451190.
   * Add gdc, make gdc-4.1 the default (Arthur Loiret). Closes: #456596.

gcc-defaults (1.61) unstable; urgency=medium

   * libgcj-common: Update classmap db's for gcj-4.3 as well.
   * Do not build g77 and g77-doc for armel.
   * gcj: Install gc-analyze symlinks where the default is >= 4.2.

gcc-defaults (1.60) unstable; urgency=low

   * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran for
     all architectures except m68k.

gcc-defaults (1.59) unstable; urgency=low

   * Make GCJ-4.2 the default on hppa.

gcc-defaults (1.58) unstable; urgency=low

   * Keep GCJ-4.1 as the default for alpha.

gcc-defaults (1.57) unstable; urgency=low

   * Fix version requirement in libgcj-bc shlibs file.

gcc-defaults (1.56) unstable; urgency=medium

   * Revert gnat to depend on gnat-4.1 as the transition to gnat-4.2
     has not yet started.  Closes: #431103.
   * Don't provide the gccbug symlinks anymore.
   * Don't build gnat for armel. Closes: #408808.
   * Don't install gij-wrapper symlink. Closes LP: #118464.
   * Add symlink for grmic.
   * Keep GCC-4.1 as the default for C, C++, ObjC, ObjC++.
   * GCJ-4.2 is the default for all architectures but hppa and m68k.
   * Don't build the lib32gcj-bc package anymore.

gcc-defaults (1.55) experimental; urgency=low

   * Make GCC-4.2 the default for Java.

gcc-defaults (1.54) experimental; urgency=low

   * Lower the priority of the -multilib packages.
   * Make GCC-4.2 the default for C, C++, ObjC, ObjC++, GFortran.
   * Support kfreebsd-amd64. Closes: #423166.
   * Re-add gcjh binary. Closes: #423740.

gcc-defaults (1.52) unstable; urgency=medium

   * Add multilib packages for gcc, g++, gobjc, gobjc++, gfortran.

gcc-defaults (1.51) experimental; urgency=low

   * Depend on the 4.1.2 final release.
   * Set priority of development packages to optional.
   * Merge from Ubuntu:
     - Tighten dependencies for ecj-generics backport.
     - gcj: Drop gcjh, gcjh-wrapper, gjnih, add gjavah, gtnameserv.
     - gij: Add gorbd, grmid, gserialver.
     - gij/gcj: Add links for manpages for the classpath tools.
   * Bump debhelper compatibility to v5.
   * Bump libgcj-common to a 4.2 version, previously built by gcc-4.2.

gcc-defaults (1.50) unstable; urgency=medium

   * gcj: Fix pkgconfig symlink. Closes: #394281, #404263.
   * gcj: Conflict with libgcj2. Closes: #398127.
   * Add copyright for the c89 and c99 manpages. Closes: #398065.
   * gij: Recommend libgcj7-awt. Do not depend on it, because we want
     to be able to install the runtime without X dependencies.
     Closes: #394917.

2006

gcc-defaults (1.49) unstable; urgency=low

   * Replaces java-gcj-compat (<< 1.0.65-8), not (<< 1.0.65-7).
     Really fixes #393903.

gcc-defaults (1.48) unstable; urgency=low

   * Remove fsf-funding (again). Closes: #385732.

gcc-defaults (1.47) unstable; urgency=low

   * libgcj-common: Add rebuild-security-providers, move
     /usr/lib/security/classpath.security to /var, rebuild it
     on installation.
   * Fix libgcj-bc symlinks. Closes: #393351, #393562.
   * /usr/share/gcj/debian_defaults: Makefile inclusion file
     to define gcj_archs and gcj_native_archs.

gcc-defaults (1.46) unstable; urgency=low

   * Build libgcj-common from the gcc-defaults sources.

gcc-defaults (1.45) unstable; urgency=low

   * Fix g77 and gfortran postinst installation scripts.

gcc-defaults (1.44) unstable; urgency=low

   * Remove the subversion directory from the upload.

gcc-defaults (1.43) unstable; urgency=low

   * Do not install alternatives for man pages licensed under the GFDL,
     second round. Closes: #387161, #390201, #388347.
   * Upload package built with -Ifsf-funding. Closes: #385732.
   * Let gij provide java2-runtime. Closes: #389215.

gcc-defaults (1.42) unstable; urgency=medium

   * Build libgcj-bc from the gcc-defaults source package.
   * gij: Add symlinks for gcj-dbtool, grmiregistry.
   * gcj: Add symlinks for gcjh-wrapper.
   * Do not install alternatives for man pages licensed under the GFDL.
     Closes: #384278, #384303, #384923, #384927.

gcc-defaults (1.41) unstable; urgency=low

   [Ludovic Brenta]
   * Do not build gnat on m32r.  Closes: #379079.
 
   [Michael Banck]
   * debian/control (Build-Depends): Conditionalize gcj-4.1 to !hurd-i386.
   * debian/rules:
     + Use hurd-i386, not gnu-i386 when matching DEB_HOST_ARCH.
     + Add gcj and gij to no_packages for hurd-i386.
   * Closes: #381018.
 
   [Matthias Klose]
   * Do not build dependency packages for -doc packages licensed under the GFDL.
   * Do not install symlinks for manpages licensed under the GFDL.
     Closes: #200003.
   * README: Mention gfortran.
   * Add paragraph about missing GFDL'd docs and manual pages.

gcc-defaults (1.40) unstable; urgency=low

   * Don't build gnat-doc on arm and m68k.

gcc-defaults (1.39) unstable; urgency=medium

   * Fix another build failure on arm.
   * Update the README.

gcc-defaults (1.38) unstable; urgency=low

   * Fix the build failure on arm (don't try to build gnat).
   * Set section of -doc packages to doc.
   * Drop the libgcj-dev package; let gcj provide libgcj-dev.
   * gcj: Add a symlink /usr/share/java/libgcj.jar.

gcc-defaults (1.37) unstable; urgency=medium

   [Ludovic Brenta]
   * Provide a gnat package that depends on the default Ada compiler.
   * Update README.Debian for gnat, gfortran.  Simplify it.
   * debian/rules: reorder architectures alphabetically for future
     maintainability.  Clean up the way we exclude some languages
     on some architectures.  Disable Ada on m68k and GNU/Hurd, in
     addition to GNU/NetBSD, SH3 and SH4 targets.
   * debian/control (gnat): depend on cpp.
 
   [Matthias Klose]
   * Build a gnat-doc package.
   * Remove chill from the control file.
   * gcj: Add a /usr/share/java/libgcj.jar symlink.

gcc-defaults (1.36) unstable; urgency=medium

   * Make gcc-4.1 the default C compiler, g++-4.1 the default C++ compiler,
     gobjc-4.1 the default ObjC compiler, treelang-4.1 the default Treelang
     compiler, gfortran-4.1 the default Fortran compiler.
     Closes: #366820.
   * Don't build the chill package anymore.
   * Build-depend on gcj-4.1-base, instead of gcc-4.0-base. Closes: #367952.

gcc-defaults (1.35) unstable; urgency=low

   * Make gij-4.1/gcj-4.1 the default gij/gcj.
   * gij: Add a conflict to java-gcj-compat (<< 1.0.56).
   * Fix typo in gpc package description (closes: #363619).
   * gobjc++: Recommend g++ and gobjc.
   * Handle c89/c99 binaries by alternatives (closes: #365039).

gcc-defaults (1.34) unstable; urgency=low

   * Fix typo in debian/rules.

gcc-defaults (1.33) unstable; urgency=low

   * Add gobjc++ package.
   * Build-Depend on gcc-4.1-base.

gcc-defaults (1.32) unstable; urgency=low

   * Depend on the 3.4.6 and 4.0.3 final releases.
   * Build-depend on the appropriate gcc-X.Y-base, gcj-X.Y-base packages.

2005

gcc-defaults (1.31) unstable; urgency=low

   * Use epoch for all packages.

gcc-defaults (1.30) unstable; urgency=medium

   * Fix gfortran prerm script (closes: #334081).
   * Clarify gfortran package description (closes: #333348).
   * Remove version number of release, picky RM ... (closes: #321092).
   * Build java packages for mips again.
   * Update c99(1) man page (closes: #324687).
   * Depend on the 3.4.5 final release, depend on the g++ versions
     after changing the libstdc++ allocator.
   * Handle /lib/cpp as an alternative.
   * gcj: Depend on libgcj-dev and gij.

gcc-defaults (1.29) unstable; urgency=low

   * Depend on the 4.0.2 final release.
   * Build gfortran for m68k.

gcc-defaults (1.28) unstable; urgency=low

   * Change build system to allow upload of versions of the form
     [0-9]+.[0-9]+<anything>.

gcc-defaults (1.27) unstable; urgency=high

   * Fix build for platforms with some compilers missing.

gcc-defaults (1.26) unstable; urgency=high

   * Depend on the 4.0.1 final release.
   * debian/control.m4: Remove.
   * debian/control: Add substitution variables.
   * debian/rules: Generate debian/*.substvars.

gcc-defaults (1.24) unstable; urgency=low

   * Build-depend on dpkg-dev (>= 1.13.9).

gcc-defaults (1.23) unstable; urgency=high

   * Make gcc-4.0 the default C compiler, g++-4.0 the default C++ compiler,
     gobjc-4.0 the default ObjC compiler, treelang-4.0 the default Treelang
     compiler, gcj-4.0 the default compiler for the Java language, and gij-4.0
     the default for the bytecode interpreter.
   * Add gfortran package, depending on gfortran-4.0, not available for m68k.
   * Make g77-3.4 the default for g77, gpc-3.4 the default for gpc.
   * Add gjnih default (gcj package).
   * gfortran: Add alternative for f95.
   * Depend on the 3.4.4-4 and 4.0.0-11 versions (4.0.0-12 on sparc and hppa).
   * gij: Provide java-virtual-machine, java-runtime and java1-runtime.
   * README.Debian: Add a note, why the gcc/g++/... symlinks are not handled
     using update-alternatives (closes: #312634).
   * Suggest automake1.9 instead of automake (closes: #311293).
   * Add support for GNU/kFreeBSD (closes: #316759).

gcc-defaults (1.22) unstable; urgency=low

   * debian/control: Build depend on dpkg-dev (>= 1.13.9), needed to determine
     the GNU architecture type.
   * The symlinks for the tools change to the the new output of
     dpkg-architecture -qDEB_HOST_GNU_TYPE (i.e. i386-linux-gcc becomes
     i486-linux-gnu-gcc).
   * Make 3.3.6-7 the required version (the first version built with the
     dpkg-architecture changes).

gcc-defaults (1.21) unstable; urgency=medium

   * Fix libgcj-dev dependency epoch (Daniel Schepler). Closes: #301584.

gcc-defaults (1.20) unstable; urgency=low

   * Add libgcj-dev package (Andreas Jochens). Closes: #278105.
     Packages using gcj -C (byte compiling) should (build-)depend on gcj,
     packages compiling to native code, should (build-)depend on libgcj-dev.

2004

gcc-defaults (1.19) unstable; urgency=low

   * Depend on the 3.3.5 final release.
   * Fix wrong symlink (closes: #275477).

gcc-defaults (1.18) unstable; urgency=medium

   * Remove dangling symlink in cpp and gcc doc directories (closes: #265555).

gcc-defaults (1.17) unstable; urgency=low

   * Don't build chill on amd64.

gcc-defaults (1.16) unstable; urgency=medium

   * Add upstream FAQ to gcc package.
   * Add README.Bugs document.
   * On sparc, add configuration file /etc/disable_64_gcc to generate 32bit
     code on sparc64 architecture (closes: #251149).

gcc-defaults (1.15) unstable; urgency=low

   * Add gpc package for ia64, add binobj and gpidump links to gpc package.
   * Make gpc-2,1-3.3 the default gpc version for all architectures.
   * Update README.Debian.

gcc-defaults (1.14) unstable; urgency=low

   * gcj: ReAdd dependency on gcj-3.3 (closes: #234986).
   * Downgrade the dependency of gcj to gij to a recommendation.
   * gij: Add suggestion for gcj.

gcc-defaults (1.13) unstable; urgency=low

   * Depend on the 3.3.3 final release.
   * gcj: Add dependency on gij.

gcc-defaults (1.12) unstable; urgency=low

   * Build gij and gcj packages for hppa-linux.

gcc-defaults (1.11) unstable; urgency=medium

   * Fix installation of g++ wrapper on sparc (closes: #225510).

2003

gcc-defaults (1.10) unstable; urgency=low

   * Depend on the 3.3.2 final release.
   * Change priority of -doc packages to optional.
   * Add dependencies for g++, g77, gobjc, gcj on gcc of the same
     version (closes: #214694).
   * Add sparc-g++.c to do the same thing as the gcc wrapper.
   * Make the sparc gcc/g++ wrapper accept an override to disable 64-bit mode.
     This can be done by touching /etc/disable_64_gcc (closes: #221282).

gcc-defaults (1.9) unstable; urgency=low

   * control.m4: conditionalize on available languages (closes: #205226).
   * Remove version information in package descriptions to ease the task
     of the translators (closes: #205207).

gcc-defaults (1.8) unstable; urgency=low

   * Add sparc-gcc.c wrapper for handling -m32/-m64 defaults. Replaces the
     normal gcc symlink (Ben Collins).
   * Make 3.3 the default for sparc again.
   * Sync epoch for all architectures.
   * Provide {cpp,gcc,g77,gpc}-doc dependency packages.
     Closes: #178284, #188217, #193409, #197514.

gcc-defaults (1.7) unstable; urgency=low

   * Add <GNU_TYPE>-{cpp,gcc,g++,gcj,g77} symlinks.
   * Bump sparc back down to 3.2. Increase our epoch to compensate.

gcc-defaults (1.6) unstable; urgency=low

   * Make gcc-3.3 the default C compiler (g++-3.3 default for C++, g77-3.3
     default for Fortran, gobjc-3.3 default for ObjectiveC, g[ci]j-3.3 default
     for Java).
     The Debian gcc-3.3-0pre9 packages are build from the second prerelease,
     which is identical to the 3.3 final release on GNU/Linux.
   * Add c99 script (closes: #190823).

gcc-defaults (1.5) unstable; urgency=medium

   * Update gpc date in package version.
   * Make gpc-2.1-3.3 the default on hppa and ia64 (gpc-2.1-3.2 isn't built
     anymore).

gcc-defaults (1.4) unstable; urgency=low

   * Depend on the 3.2.3 prerelease.
   * Correct gpc date in package version.
   * Remove f77 alternative left over from an old egcs(?) version.
   * gpc: Add links for gpidump and binobj.
   * Remove old c++filt diversions left over by egcs, fixed script.
     Closes: #138038.
   * Add the fsf-funding(7), gfdl(7), gpl(7) man pages to the cpp package.
     Closes: #181495.

2002

gcc-defaults (1.3) unstable; urgency=low

   * Make gcc-3.2 the default C compiler (g++-3.2 default for C++, g77-3.2
     default for Fortran, gobjc-3.2 default for ObjectiveC, g[ci]j-3.2 default
     for Java).
   * Increase epoch due to wrong gpc and chill default version (closes: #163294).
   * Add netbsd-i386 support (closes: #162201).
   * Add gpc-run symlinks.
   * Make gpc-2.1-3.2 the default on hppa and ia64 (the gpc based on gcc-3.2
     is still an alpha version).
   * Remove old c++filt diversions left over by egcs ... (closes: #138038).

gcc-defaults (1.2) unstable; urgency=low

   * Make gcc-3.2 the default for the Hurd (closes: #156968).
   * Added SH support in previous upload (closes: #155002).

gcc-defaults (1.1) unstable; urgency=low

   * Add SH support.

gcc-defaults (1.0) unstable; urgency=low

   * Make gcc-3.1 the default for the Hurd.

gcc-defaults (0.22) unstable; urgency=low

   * Unreleased.
   * Use ObjC 3.0 for ARM.

gcc-defaults (0.21) unstable; urgency=low

   * Include java on ARM.
   * Set ARM g77 version number to 3.0.4.

gcc-defaults (0.20) unstable; urgency=medium

   * Rebuild with new debhelper (closes: #137295, #137296).

gcc-defaults (0.19) unstable; urgency=medium

   * Set g77 version for ARM to 3.0.
   * Disable java for mips(el); it clearly isn't getting built.
   * Add self to Uploaders

gcc-defaults (0.18) unstable; urgency=medium

   * Fix version of gobjc package on ia64 (closes: #131428).

gcc-defaults (0.17) unstable; urgency=medium

   * Replace empty doc directories by symlinks to the cpp doc directory.
     Closes: #117285.
   * Add suggestions for -doc packages (somewhat closes: #115127).
   * Build `gpc' package for mips and mipsel.
   * gcj package: Provide default for `jv-convert'.
   * Copy package descriptions from the gcc-X.Y packages and add "This is a
     dependency package ...". Overkill closes: #124063.

2001

gcc-defaults (0.16) unstable; urgency=medium

   * Make 3.0 the default for gobjc on ia64. Closes: #122735.
   * New package gij to provide a default for the java interpreter.
     Closes: #119386.
   * Make 3.0 the default for gcj and gij on ia64.
   * Package gij provides java-virtual-machine and java1-runtime.
     Closes: #119384.
   * Reflect move to gcc-3.0.3.

gcc-defaults (0.15) unstable; urgency=low

   * Add gpc-doc (<< 1:2.95.3) conflict for gpc package. Same for cpp
     and gcc (Closes: #115299).

gcc-defaults (0.14) unstable; urgency=low

   * Make gcj package for m68k.

gcc-defaults (0.13) unstable; urgency=low

   * Make gcj package for powerpc.

gcc-defaults (0.12) unstable; urgency=low

   * Replace suggestions of removed task-packages with minimal individual
     packages (closes: #105695).
   * symlinks for java manpages.

gcc-defaults (0.11) unstable; urgency=low

   * Rebuild with current version of dpkg-dev (closes #102528).

gcc-defaults (0.10) unstable; urgency=low

   * Set default for mips to 2.95. gcc-defaults for mips(el) has never been
     uploaded to the archive with 3.x as the version, so we won't need to
     epoch this fallback (Ryan Murray <rmurray@cyberhqz.com>).

gcc-defaults (0.9) unstable; urgency=low

   * Increase epoch, use gcc-2.96 as default for ia64 (#101876, #101878).
   * Update version number to 2.95.4 (on m68k).

gcc-defaults (0.8.1) unstable; urgency=low

   * IA-64 currently uses 2.96 as the default and will soon have 3.0 as an
     option.  Reflect the correct default here, we had assumed 3.0 previously.

gcc-defaults (0.8) unstable; urgency=low

   * Update version number to 2.95.4 (except m68k).
   * debian/control.m4: correct CHILL description (closes: #93929).
   * Default to 3.0 for ia64-linux, mips-linux and mipsel-linux
   * gcj defaults to 3.0 for all architectures.
   * Fix suggestions of task packages (closes: #96272, #96273).

gcc-defaults (0.7) unstable; urgency=low

   * Rebuild control file.

gcc-defaults (0.6) unstable; urgency=low

   * Support for hppa-linux (fixes #91940).

gcc-defaults (0.5) testing unstable; urgency=high

   * Upload to testing; gcc-2.95 needs this package.

gcc-defaults (0.4) unstable; urgency=low

   * Link /usr/share/doc/gcc to cpp doc directory (#80990).

2000

gcc-defaults (0.3) unstable; urgency=low

   * Reenable gcj for sparc.
   * TODO: Update description of Debian compiler setup.

gcc-defaults (0.2) unstable; urgency=low

   * Initial Release.